import { createApp } from 'vue'
import App from './App'
import router from '../router/index-admin'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
// 引入模块后自动生效
import '@vant/touch-emulator' // 处理移动端点击事件 vant 支持桌面端
import mitt from 'mitt'
// 动画组件
import Vue3Lottie from 'vue3-lottie'
// Vue.component('lottie',lottie)
// import { state } from '@/state'

const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

// import Vconsole from 'vconsole'
// const vconsole = new Vconsole()

app.use(router)
app.use(Vue3Lottie)

app.mount('#app')
